curl --request GET \
--url https://api.0xarchive.io/v1/lighter/liquidations/{symbol} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.0xarchive.io/v1/lighter/liquidations/{symbol}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.0xarchive.io/v1/lighter/liquidations/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.0xarchive.io/v1/lighter/liquidations/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"symbol": "BTC",
"timestamp": 1785116108743,
"transaction_time_us": 1785116108751813,
"trade_id": 26144238102,
"liquidation_type": "liquidation",
"price": 64921.9,
"size": 0.18476,
"usd_amount": 11994.970244,
"ask_account": "728637",
"bid_account": "726722",
"ask_order_id": 562952982931319,
"bid_order_id": 844421854021817,
"is_maker_ask": false,
"taker_position_size_before": 0.19771,
"maker_position_size_before": -1.85452,
"taker_entry_quote_before": 12945.451185,
"maker_entry_quote_before": 120665.315247,
"taker_initial_margin_fraction_before": 200,
"maker_initial_margin_fraction_before": 500,
"taker_allocated_margin_usdc_before": 259232053,
"taker_allocated_margin_usdc_after": 23859483,
"maker_allocated_margin_usdc_before": 0,
"maker_allocated_margin_usdc_after": 0,
"taker_fee": 10000,
"maker_fee": 28,
"taker_position_sign_changed": false,
"maker_position_sign_changed": false,
"block_height": 300340672,
"tx_hash": "000000198190c10e0000019fa13627c7000000000000000000000000000000000000000000000000",
"raw_json": "<string>",
"source": "ws"
}
],
"meta": {
"count": 123,
"next_cursor": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": 400,
"error": "Failed to deserialize query string: limit: invalid digit found in string",
"error_code": "invalid_query_params",
"request_id": "3f2a9c71-5b0e-4d68-9a4c-7e1d2b6f8a05"
}{
"code": 401,
"error": "Missing or invalid API key. Provide X-API-Key header."
}{
"code": 429,
"error": "Rate limit exceeded"
}Get Lighter liquidation events
0xArchive API reference for Get Lighter liquidation events. Includes authentication, parameters, response shape, examples, and route-safe implementation notes.
curl --request GET \
--url https://api.0xarchive.io/v1/lighter/liquidations/{symbol} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.0xarchive.io/v1/lighter/liquidations/{symbol}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.0xarchive.io/v1/lighter/liquidations/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.0xarchive.io/v1/lighter/liquidations/{symbol}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": [
{
"symbol": "BTC",
"timestamp": 1785116108743,
"transaction_time_us": 1785116108751813,
"trade_id": 26144238102,
"liquidation_type": "liquidation",
"price": 64921.9,
"size": 0.18476,
"usd_amount": 11994.970244,
"ask_account": "728637",
"bid_account": "726722",
"ask_order_id": 562952982931319,
"bid_order_id": 844421854021817,
"is_maker_ask": false,
"taker_position_size_before": 0.19771,
"maker_position_size_before": -1.85452,
"taker_entry_quote_before": 12945.451185,
"maker_entry_quote_before": 120665.315247,
"taker_initial_margin_fraction_before": 200,
"maker_initial_margin_fraction_before": 500,
"taker_allocated_margin_usdc_before": 259232053,
"taker_allocated_margin_usdc_after": 23859483,
"maker_allocated_margin_usdc_before": 0,
"maker_allocated_margin_usdc_after": 0,
"taker_fee": 10000,
"maker_fee": 28,
"taker_position_sign_changed": false,
"maker_position_sign_changed": false,
"block_height": 300340672,
"tx_hash": "000000198190c10e0000019fa13627c7000000000000000000000000000000000000000000000000",
"raw_json": "<string>",
"source": "ws"
}
],
"meta": {
"count": 123,
"next_cursor": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": 400,
"error": "Failed to deserialize query string: limit: invalid digit found in string",
"error_code": "invalid_query_params",
"request_id": "3f2a9c71-5b0e-4d68-9a4c-7e1d2b6f8a05"
}{
"code": 401,
"error": "Missing or invalid API key. Provide X-API-Key header."
}{
"code": 429,
"error": "Rate limit exceeded"
}Authorizations
API key for authentication. Get yours at https://0xarchive.io/dashboard
Path Parameters
Lighter market symbol.
"BTC"
Query Parameters
Start timestamp in Unix milliseconds. Defaults depend on the route family.
End timestamp in Unix milliseconds. Defaults to now.
Cursor for pagination. Use the value from the previous response metadata.
Maximum number of results (default: 100, max: 1000)
x <= 1000Response
Lighter liquidation events
API response containing an array of native Lighter liquidation events
true
Hide child attributes
Hide child attributes
Trading pair symbol
"BTC"
Liquidation timestamp in Unix epoch milliseconds
1785116108743
Intra-block transaction time in microseconds
1785116108751813
Unique Lighter trade ID of the liquidation fill
26144238102
Upstream liquidation type
"liquidation"
Execution price
64921.9
Liquidated size in base units
0.18476
Notional value of the liquidation in USD
11994.970244
Lighter account index on the ask side (serialized as a string)
"728637"
Lighter account index on the bid side (serialized as a string)
"726722"
Order ID on the ask side
562952982931319
Order ID on the bid side
844421854021817
True if the maker was on the ask side
false
Taker's signed position size before the fill (long positive, short negative)
0.19771
Maker's signed position size before the fill
-1.85452
Taker's position entry quote value before the fill
12945.451185
Maker's position entry quote value before the fill
120665.315247
Taker's initial margin fraction before the fill (raw upstream units)
200
Maker's initial margin fraction before the fill (raw upstream units)
500
Taker's isolated-margin USDC allocation before the fill (raw upstream units)
259232053
Taker's isolated-margin USDC allocation after the fill (raw upstream units)
23859483
Maker's isolated-margin USDC allocation before the fill (raw upstream units)
0
Maker's isolated-margin USDC allocation after the fill (raw upstream units)
0
Taker fee (raw upstream units)
10000
Maker fee (raw upstream units)
28
True if the fill flipped the taker's position between long and short
false
True if the fill flipped the maker's position between long and short
false
Lighter L2 block height containing the liquidation
300340672
Lighter settlement transaction hash (fixed-width hex)
"000000198190c10e0000019fa13627c7000000000000000000000000000000000000000000000000"
Raw upstream payload as received from Lighter.
Row provenance
"ws"
Was this page helpful?